diff --git a/convert.c b/convert.c
index 8802e6e..6756276 100644
--- a/convert.c
+++ b/convert.c
@@ -4116,14 +4116,12 @@ inolog("ipara=%p paramType=%d %d proc_return=%d\n", ipara, ipara ? ipara->paramT
 		}
 		else if (!handling_large_object)
 		{
-			CVT_APPEND_CHAR(qb, '?');
-			return SQL_SUCCESS;
+			/* shouldn't happen */
+			qb->errormsg = "unexpected NULL parameter value";
+			qb->errornumber = STMT_EXEC_ERROR;
+			return SQL_ERROR;
 		}
 
-		/* shouldn't happen */
-		qb->errormsg = "unexpected NULL parameter value";
-		qb->errornumber = STMT_EXEC_ERROR;
-		return SQL_ERROR;
 	}
 
 	/* replace DEFAULT with something we can use */
diff --git a/execute.c b/execute.c
index 111230b..2e0977a 100644
--- a/execute.c
+++ b/execute.c
@@ -1340,17 +1340,6 @@ PGAPI_ParamData(HSTMT hstmt,
 	if (estmt->lobj_fd >= 0)
 	{
 		odbc_lo_close(conn, estmt->lobj_fd);
-
-		/* commit transaction if needed */
-		if (!CC_cursor_count(conn) && CC_does_autocommit(conn))
-		{
-			if (!CC_commit(conn))
-			{
-				SC_set_error(stmt, STMT_EXEC_ERROR, "Could not commit (in-line) a transaction", func);
-				retval = SQL_ERROR;
-				goto cleanup;
-			}
-		}
 		estmt->lobj_fd = -1;
 	}
 
diff --git a/pgtypes.c b/pgtypes.c
index 167966f..b90e69b 100644
--- a/pgtypes.c
+++ b/pgtypes.c
@@ -1285,13 +1285,6 @@ sqltype_to_bind_pgtype(const ConnectionClass *conn, SQLSMALLINT fSqlType)
 			pgType = PG_TYPE_INT4;
 			break;
 
-		case SQL_LONGVARBINARY:
-			if (ci->bytea_as_longvarbinary)
-				pgType = PG_TYPE_BYTEA;
-			else
-				pgType = conn->lobj_type;
-			break;
-
 		case SQL_REAL:
 			pgType = PG_TYPE_FLOAT4;
 			break;
